Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1189375

Summary: Review Request:nodejs-btoa - conversion from base64-encoded to ascii
Product: [Fedora] Fedora Reporter: anish <apatil>
Component: Package ReviewAssignee: Piotr Popieluch <piotr1212>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: anish.developer, apatil, package-review, piotr1212
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-09 17:58:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449, 956806    

Description anish 2015-02-05 07:21:20 UTC
Spec URL: https://anishpatil.fedorapeople.org/nodejs-btoa.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-btoa-1.1.2-1.fc21.src.rpm
Description: It turns binary data to base64-encoded ascii
Fedora Account System Username:anishpatil

Comment 1 anish 2015-02-26 08:33:32 UTC
Spec URL: https://anishpatil.fedorapeople.org/nodejs-btoa.spec
SRPM URL: https://anishpatil.fedorapeople.org/nodejs-btoa-1.1.2-2.fc21.src.rpm
Description: It turns binary data to base64-encoded ascii
Fedora Account System Username:anishpatil

Comment 3 Upstream Release Monitoring 2015-09-24 15:05:26 UTC
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Comment 4 Piotr Popieluch 2015-11-11 20:57:38 UTC
some issues:

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

- nodejs-btoa.noarch: W: only-non-binary-in-usr-lib
  nodejs-btoa.noarch: E: non-executable-script /usr/lib/node_modules/nodejs-btoa/bin/btoa.js 644 /usr/bin/env

- Please use github source guidelines for source0 or use npm.

- any particular reason for disabling the tests? All tests succeed here

Comment 5 Piotr Popieluch 2016-02-27 21:11:11 UTC
Anish,

Any updates?

Comment 6 Piotr Popieluch 2016-06-09 17:58:58 UTC
closing for no update